# Smart Money Trends

## Endpoint

```
GET https://api.dapplooker.com/v1/smart-money-trends
```

***

## Query Parameters

| Parameter        | Type   | Required | Description                              |
| ---------------- | ------ | -------- | ---------------------------------------- |
| token\_tickers   | string | No       | Comma-separated token symbols            |
| token\_addresses | string | No       | Comma-separated token contract addresses |
| api\_key         | string | No       | API key if not using x402                |

Use at least one token filter.

***

## Example Requests

```bash
# Query by ticker
curl --location 'https://api.dapplooker.com/v1/smart-money-trends?api_key=<API_KEY>&token_tickers=VIRTUAL'

# Query by contract address
curl --location 'https://api.dapplooker.com/v1/smart-money-trends?api_key=<API_KEY>&token_addresses=0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b'
```

***

## Example Response

```json
{
  "success": true,
  "data": [
    {
      "symbol": "VIRTUAL",
      "token_address": "0x0b3e328455c4059eeb9e3f84b5543f74e24e7e1b",

      "net_inflow": {
        "usd_value_24h": 39919.6,
        "token_24h": 31682.2,
        "usd_value_7d": 317994.8,
        "token_7d": 252376.8,
        "usd_value_30d": 1279723,
        "token_30d": 1015653.2
      },

      "net_outflow": {
        "usd_value_24h": 32335.8,
        "token_24h": 25663.3,
        "usd_value_7d": 292363.2,
        "token_7d": 232034.3,
        "usd_value_30d": 1084320.6,
        "token_30d": 860571.9
      }
    }
  ]
}
```

***

## Response Schema

### Token Identity

| Field          | Type   | Description      |
| -------------- | ------ | ---------------- |
| symbol         | string | Token ticker     |
| token\_address | string | Contract address |

***

### Net Inflow

Capital accumulated by top smart wallets.

| Field           | Type   | Description           |
| --------------- | ------ | --------------------- |
| usd\_value\_24h | number | USD inflow over 24h   |
| token\_24h      | number | Token amount over 24h |
| usd\_value\_7d  | number | USD inflow over 7d    |
| token\_7d       | number | Token amount over 7d  |
| usd\_value\_30d | number | USD inflow over 30d   |
| token\_30d      | number | Token amount over 30d |

***

### Net Outflow

Capital reduced or sold by top smart wallets.

| Field           | Type   | Description                         |
| --------------- | ------ | ----------------------------------- |
| usd\_value\_24h | number | USD outflow over 24h                |
| token\_24h      | number | Token amount over 24h               |
| usd\_value\_7d  | number | USD outflow over 7d                 |
| token\_7d       | number | Token amount over 7d                |
| usd\_value\_30d | number | USD outflow over 30d                |
| token\_30d      | number | <p></p><p>Token amount over 30d</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dapplooker.com/products/api-endpoints/wallet-intelligence/smart-money-trends.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
